Bug 839326 - Katello deployment headpin, navigate to systems tab results in ResourceTypeNotFound
Katello deployment headpin, navigate to systems tab results in ResourceTypeNo...
Status: CLOSED WONTFIX
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.1.0
Unspecified Unspecified
urgent Severity urgent
: beta
: 1.2
Assigned To: Tom McKay
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-11 11:12 EDT by Eric Sammons
Modified: 2017-06-26 16:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-26 16:38:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Sammons 2012-07-11 11:12:45 EDT
Description of problem:


Version-Release number of selected component (if applicable):
katello-headpin-all-0.2.21-1.git.0.da563b9.fc16.noarch

Steps to Reproduce:
1. Install katello-headpin-all
2. Run katello-reset-dbs[1]
3. Navigate to the webui and login.
4. Navigate to the Systems Tab
  
Actual results:

[ERROR: 2012-07-11 10:39:33 #9939] ResourceTypeNotFound
[ERROR: 2012-07-11 10:39:33 #9939] Invalid resource type 'system_groups'. Resource Types can be one of 'providers, environments, users, organizations, all, roles, activation_keys'
[ERROR: 2012-07-11 10:39:33 #9939] #<ResourceTypeNotFound: ResourceTypeNotFound>
[ERROR: 2012-07-11 10:39:33 #9939] /usr/share/katello/app/models/resource_type.rb:87:in `check_type'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/share/katello/app/models/resource_type.rb:74:in `check'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/share/katello/app/models/user.rb:174:in `allowed_all_tags?'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/share/katello/app/models/user.rb:214:in `allowed_all_tags?'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/share/katello/app/models/system_group.rb:272:in `items'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/share/katello/app/models/system_group.rb:86
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/named_scope.rb:107:in `call'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/named_scope.rb:107:in `systems_readable'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/share/katello/app/controllers/systems_controller.rb:691:in `readable_filters'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/share/katello/app/controllers/systems_controller.rb:177:in `items'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/implicit_render.rb:4:in `send_action'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/implicit_render.rb:4:in `send_action'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/abstract_controller/base.rb:150:in `process_action'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/rendering.rb:11:in `process_action'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/abstract_controller/callbacks.rb:18:in `process_action'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:472:in `_run__787113535__process_action__1793396890__callbacks'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:221:in `_conditional_callback_around_3174'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/share/katello/lib/util/threadsession.rb:79:in `thread_locals'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:220:in `_conditional_callback_around_3174'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:451:in `_run__787113535__process_action__1793396890__callbacks'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:410:in `send'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:410:in `_run_process_action_callbacks'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:94:in `send'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:94:in `run_callbacks'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/abstract_controller/callbacks.rb:17:in `process_action'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/rescue.rb:17:in `process_action'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/notifications.rb:52:in `instrument'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/notifications.rb:52:in `instrument'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/instrumentation.rb:29:in `process_action'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/abstract_controller/base.rb:119:in `process'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/abstract_controller/rendering.rb:41:in `process'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal.rb:138:in `dispatch'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal.rb:178:in `action'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/routing/route_set.rb:62:in `call'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/routing/route_set.rb:62:in `dispatch'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/routing/route_set.rb:27:in `call'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/rack-mount-0.7.1/lib/rack/mount/route_set.rb:150:in `call'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/rack-mount-0.7.1/lib/rack/mount/code_generation.rb:93:in `recognize'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/rack-mount-0.7.1/lib/rack/mount/code_generation.rb:68:in `optimized_each'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/rack-mount-0.7.1/lib/rack/mount/code_generation.rb:92:in `recognize'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/rack-mount-0.7.1/lib/rack/mount/route_set.rb:141:in `call'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/routing/route_set.rb:493:in `call'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/warden-1.0.5/lib/warden/manager.rb:35:in `call'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/warden-1.0.5/lib/warden/manager.rb:34:in `catch'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/warden-1.0.5/lib/warden/manager.rb:34:in `call'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/sass-3.1.7/lib/sass/../sass/plugin/rack.rb:54:in `call'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/head.rb:14:in `call'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/methodoverride.rb:24:in `call'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/params_parser.rb:21:in `call'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/flash.rb:182:in `call'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/session/abstract_store.rb:149:in `call'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/cookies.rb:302:in `call'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/query_cache.rb:32:in `call'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/connection_adapters/abstract/query_cache.rb:28:in `cache'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/query_cache.rb:12:in `cache'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/query_cache.rb:31:in `call'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/connection_adapters/abstract/connection_pool.rb:354:in `call'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/callbacks.rb:46:in `call'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:416:in `_run_call_callbacks'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/callbacks.rb:44:in `call'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/sendfile.rb:102:in `call'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/remote_ip.rb:48:in `call'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/show_exceptions.rb:47:in `call'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/rack/logger.rb:13:in `call'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/runtime.rb:17:in `call'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/lock.rb:34:in `call'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/application.rb:168:in `call'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/application.rb:77:in `send'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/application.rb:77:in `method_missing'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/urlmap.rb:52:in `call'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/urlmap.rb:46:in `each'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/urlmap.rb:46:in `call'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/connection.rb:84:in `pre_process'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/connection.rb:82:in `catch'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/connection.rb:82:in `pre_process'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/connection.rb:57:in `process'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/connection.rb:42:in `receive_data'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/eventmachine-0.12.10/lib/eventmachine.rb:256:in `run_machine'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/eventmachine-0.12.10/lib/eventmachine.rb:256:in `run'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/backends/base.rb:61:in `start'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/server.rb:159:in `start'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/controllers/controller.rb:86:in `start'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/runner.rb:185:in `send'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/runner.rb:185:in `run_command'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/runner.rb:151:in `run!'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/bin/thin:6
[ERROR: 2012-07-11 10:39:33 #9939] /usr/share/katello/script/thin:24:in `load'
[ERROR: 2012-07-11 10:39:33 #9939] /usr/share/katello/script/thin:24
[ERROR: 2012-07-11 10:39:33 #9939] Rendering 500:Invalid resource type 'system_groups'. Resource Types can be one of 'providers, environments, users, organizations, all, roles, activation_keys'

Expected results:
Systems tab should render without error

Additional info:
[1] I have not yet confirmed if katello-reset-dbs is required for this issue to occur.
Comment 1 Eric Sammons 2012-07-11 12:34:36 EDT
I have officially confirmed the issue remains in the following scenario, which does not include katello-reset-dbs

1. Install katello, deployment headpin
   # yum install -y katello-headpin-all
   # katello-configure --deployment=headpin
2. Navigate to the headpin page.
   https://headpin_url/headpin
3. Login and navigate to the "Systems" Tab.
Comment 2 Eric Sammons 2012-07-16 08:41:24 EDT
This issue remains in katello-headpin-0.2.24-1.
Comment 3 Tom McKay 2012-09-10 08:19:41 EDT
Fencing for headpin fixed
Comment 4 Og Maciel 2012-10-09 18:13:29 EDT
Verified:

* candlepin-0.7.12-1.el6_3.noarch
* candlepin-tomcat6-0.7.12-1.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1h.el6_3.noarch
* katello-cli-common-1.1.10-1h.el6_3.noarch
* katello-cli-headpin-0.2.2-1.el6_2.noarch
* katello-common-1.1.14-2h.el6_3.noarch
* katello-configure-1.1.11-1h.el6_3.noarch
* katello-glue-candlepin-1.1.14-2h.el6_3.noarch
* katello-headpin-1.1.14-2h.el6_3.noarch
* katello-headpin-all-1.1.14-2h.el6_3.noarch
* katello-selinux-1.1.2-1h.el6_3.noarch
Comment 5 Bryan Kearney 2017-06-26 16:38:50 EDT
The release of Satellite 5.8 we are deprecating the support of Subscription Asset Manager. The release notes for 5.8 can be found at https://access.redhat.com/documentation/en-us/red_hat_satellite/5.8/pdf/release_notes/Red_Hat_Satellite-5.8-Release_Notes-en-US.pdf.

I am therefore closing out this bug as WONTFIX. If you believe this to be an error, please feel free tor each out to either Rich Jerrido or Bryan Kearney. Thank you!

Note You need to log in before you can comment on or make changes to this bug.